<?php


return  
    [
        'model' => [
            'model' => \Beo\CaseStudy\Models\Study::class,
            'repository' => \Beo\CaseStudy\Repositories\Eloquent\StudyRepository::class,
            'table' => 'studies',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'category_id',  'title',  'summary',  'description',  'images',  'tags',  'viewcount',  'slug',  'status',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'case_study/study',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "category_id" => [
                "key" => "category_id", 
                "type" => "text", 
                "label" => 'case_study::study.label.category_id', 
                'sort' => true,
                'roles' => [],
            ],
            "title" => [
                "key" => "title", 
                "type" => "text", 
                "label" => 'case_study::study.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            "summary" => [
                "key" => "summary", 
                "type" => "text", 
                "label" => 'case_study::study.label.summary', 
                'sort' => true,
                'roles' => [],
            ],
            "description" => [
                "key" => "description", 
                "type" => "text", 
                "label" => 'case_study::study.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            "images" => [
                "key" => "images", 
                "type" => "text", 
                "label" => 'case_study::study.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            "tags" => [
                "key" => "tags", 
                "type" => "text", 
                "label" => 'case_study::study.label.tags', 
                'sort' => true,
                'roles' => [],
            ],
            "viewcount" => [
                "key" => "viewcount", 
                "type" => "text", 
                "label" => 'case_study::study.label.viewcount', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'category_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'case_study::study.label.category_id',
                "placeholder" => 'case_study::study.placeholder.category_id',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'case_study::study.label.title',
                "placeholder" => 'case_study::study.placeholder.title',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'summary' => [
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'case_study::study.label.summary',
                "placeholder" => 'case_study::study.placeholder.summary',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'case_study::study.label.description',
                "placeholder" => 'case_study::study.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => 'case_study::study.label.images',
                "placeholder" => 'case_study::study.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tags' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'case_study::study.label.tags',
                "placeholder" => 'case_study::study.placeholder.tags',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'viewcount' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'case_study::study.label.viewcount',
                "placeholder" => 'case_study::study.placeholder.viewcount',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'case_study/study/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'case_study/study/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'case_study/study',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'case_study/study',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'case_study/study',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'case_study/study',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'case_study::study.label.created_at',
            'name' => 'case_study::study.label.name',
            'status' => 'case_study::study.label.status',
        ],
        'groups' => [
            'main' => 'case_study::study.groups.main',
            'details' => 'case_study::study.groups.details',
            'images' => 'case_study::study.groups.images',
            'settings' => 'case_study::study.groups.settings',
        ],
        'controller' => [
            'provider' => 'Beo',
            'package' => 'CaseStudy',
            'module' => 'Study',
        ],
    ];
