<?php

namespace Beo\CaseStudy\Seeders;

use DB;
use Illuminate\Database\Seeder;

class StudyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('studies')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'case_study.study.view',
                'name'      => 'View Study',
            ],
            [
                'slug'      => 'case_study.study.create',
                'name'      => 'Create Study',
            ],
            [
                'slug'      => 'case_study.study.edit',
                'name'      => 'Update Study',
            ],
            [
                'slug'      => 'case_study.study.delete',
                'name'      => 'Delete Study',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/case_study/study',
                'name'        => 'Study',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/case_study/study',
                'name'        => 'Study',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'study',
                'name'        => 'Study',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CaseStudy',
                'module'    => 'Study',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'case_study.study.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
