Lavalite package that provides case_study management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `beo/case_study`.

    "beo/case_study": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Beo\CaseStudy\Providers\CaseStudyServiceProvider::class,

And also add it to alias

    'CaseStudy'  => Beo\CaseStudy\Facades\CaseStudy::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Beo\\CaseStudy\\Seeders\\CaseStudyTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Beo\CaseStudy\Providers\CaseStudyServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Beo\CaseStudy\Providers\CaseStudyServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Beo\CaseStudy\Providers\CaseStudyServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/case_study/{modulename}

**User**

    http://path-to-route-folder/user/case_study/{modulename}

**Public**

    http://path-to-route-folder/case_studies


### API endpoints

**List**

    http://path-to-route-folder/api/user/case_study/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/case_study/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/case_study/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/case_study/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/case_study/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/case_study/{modulename}/{slug}
    METHOD: GET